<!--- query the EmployeeDirectory and IncentiveAwards tables and return all
      records from the Right table (IncentiveAwards) and only those from
      the left table (EmployeeDirectory) where the ID values are equal.  The 
      right outer join is performed by the RIGHT OUTER JOIN operator. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT employee.ID, employee.Name, incentive.ID, 
                incentive.Category, incentive.DateAwarded, incentive.Amount
         FROM EmployeeDirectory employee 
         RIGHT OUTER JOIN IncentiveAwards incentive
         ON employee.ID = incentive.ID
</CFQUERY>

<H3>Incentive Awards</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>Name</TH>
    <TH>Award Type</TH>
    <TH>Date Awarded</TH>
    <TH>Amount</TH>
</TR>

<!--- dynamically generate a table containing all of the records returned 
      by the query.  Substitute NULL for any blanks (NULLs) returned by
      the Right Outer Join --->
<CFOUTPUT QUERY="GetEmployeeInfo">
<TR BGCOLOR="##C0C0C0">
    <TD><CFIF Name EQ "">NULL<CFELSE>#Name#</CFIF></TD>
    <TD><CFIF Category EQ "">NULL<CFELSE>#Category#</CFIF></TD>
    <TD><CFIF DateAwarded EQ "">NULL<CFELSE>#DateFormat(DateAwarded, 
        'mm/dd/yyyy')#</CFIF></TD>
    <TD><CFIF Amount EQ "">NULL<CFELSE>#DollarFormat(Amount)#</CFIF></TD>
</TR>
</CFOUTPUT>
</TABLE>
