<!--- retrieve the full record of the employee whose ID was passed in 
      as a URL parameter. --->
<CFQUERY NAME="GetEmployeeRecord" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = #URL.ID#
</CFQUERY>

<!--- query the IncentiveAwards table and retrieve all records for
      for the ID passed in as a URL parameter.  This query can return
      0 or more records --->
<CFQUERY NAME="GetIncentiveAwards" DATASOURCE="ProgrammingCF">
         SELECT DateAwarded, Category, Amount
         FROM IncentiveAwards
         WHERE ID = #URL.ID#
</CFQUERY>

<HTML>
<HEAD>
     <TITLE>Drilldown Example</TITLE>
</HEAD>

<BODY>

<H2>Employee Profile</H2>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
  <TH>E-mail</TH>
  <TH>Phone Extension</TH>
  <TH>Salary</TH>
</TR>    
<!--- generate an HTLML table containing the employee record from the 
      GetEmployeeRecord query. --->
<CFOUTPUT>
<TR BGCOLOR="##C0C0C0">
  <TD>#GetEmployeeRecord.Name#</TD>
  <TD>#GetEmployeeRecord.Title#</TD>
  <TD>#GetEmployeeRecord.Department#</TD>
  <TD><A HREF="Mailto:#GetEmployeeRecord.Email#">
      #GetEmployeeRecord.Email#</A></TD>
  <TD>#GetEmployeeRecord.PhoneExt#</TD>
  <TD>#GetEmployeeRecord.Salary#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

<H3>Incentive Awards</H3>

<!--- only display the table if 1 or more awards are found in the database --->
<CFIF GetIncentiveAwards.RecordCount GT 0>
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>Date Awarded</TH>
    <TH>Incentive Type</TH>
    <TH>Amount</TH>
</TR>

<!--- generate an HTML table listing the awards granted the employee --->    
<CFOUTPUT QUERY="GetIncentiveAwards">
<TR BGCOLOR="##C0C0C0">
    <TD>#DateFormat(DateAwarded, 'mm/dd/yyyy')#</TD>
    <TD>#Category#</TD>
    <TD>#DollarFormat(Amount)#</TD>
</TR>
</CFOUTPUT>
</TABLE>

<CFELSE>
<B>No incentive awards granted.</B>
</CFIF>

</BODY>
</HTML>
