<!--- query the LDAP server for all entries under the airius.com organization
      where the surname of the person begins with 's' and their location is
      'Santa Clara'.  Sort the results by surname and given name. --->
<CFLDAP ACTION="QUERY" NAME="MyLDAPQuery" SERVER="localhost" PORT="389"
        ATTRIBUTES="cn,sn,givenName,ou,l" MAXROWS="100"
        START="o=airius.com" SCOPE="Subtree" FILTER="(&(sn=s*)(l=Santa Clara))"
        SORT="sn ASC, givenName ASC" SORTCONTROL="nocase" TIMEOUT="90">

<!--- output the query results --->
<TABLE CELLPADDING="3" CELLSPACING="1">
<TR bgcolor="#CoCoCo">
  <TH>Common Name (cn)</TH><TH>Surname (sn)</TH><TH>Given Name (givenName)</TH>
  <TH>Organizational Unit (ou)</TH><TH>Locality (l)</TH>
</TR>

<CFOUTPUT QUERY="MyLDAPQuery">
<TR bgcolor="##9999FF">
  <TD><CFIF cn IS "">&nbsp;<CFELSE>#cn#</CFIF></TD>
  <TD><CFIF sn IS "">&nbsp;<CFELSE>#sn#</CFIF></TD>
  <TD<CFIF givenName IS "">&nbsp;<CFELSE>#givenName#</CFIF></TD>
  <TD><CFIF ou IS "">&nbsp;<CFELSE>#ou#</CFIF></TD>
  <TD><CFIF l IS "">&nbsp;<CFELSE>#l#</CFIF></TD>
</TR>
</CFOUTPUT>
</TABLE>
