<!--- If no search criteria is passed, assume user wants all documents in the
      collection, so assign a wildcard (*) to the search criteria --->
<CFIF Form.Criteria IS "">
   <CFSET Form.Criteria = "*">
</CFIF>  

<!--- Perform the search of the Verity collection(s) based on the parameters
      passed from the search criteria form.  In this case, we are searching
      the Verity collection created by ColdFusion the first time you attempt
      to search the ColdFusion documentation using the interface that ships
      with ColdFusion. --->
<CFSEARCH COLLECTION="cfdocumentation" NAME="MySearchQuery"
          TYPE="simple" CRITERIA="#Form.Criteria#">

<BODY>
<H2>Search Results</H2>

<CFOUTPUT>
Your search for: <B><FONT COLOR="##ff0000">#Form.Criteria#</FONT></B> turned up 
#MySearchQuery.RecordCount# documents out of #MySearchQuery.RecordsSearched# 
documents searched.
</CFOUTPUT>

<!--- If no records match the search criteria, inform the user --->
<CFIF MySearchQuery.RecordCount LTE 0>
   <CFOUTPUT>
   <P>Sorry.  No instances of #Form.Criteria# were found in the specified 
   collection(s).  Please hit the back button on your browser and try again. 
   </CFOUTPUT>

<!--- Otherwise, output the search results including linbks to the 
      documents --->
<CFELSE>
   <TABLE BORDER="0" CELLPADDING="3" CELLSPACING="3" WIDTH="75%">
   <TR>
      <TD><B>Document Title</B></TD>
      <TD><B>Score</B></TD>
   </TR>

   <TR>
      <TD COLSPAN="2"><HR></TD>
   </TR>

   <CFOUTPUT QUERY="MySearchQuery">
   <TR>
      <TD><A HREF="http://127.0.0.1/cfdocs/#MySearchQuery.URL#">
      <CFIF MySearchQuery.Title IS "">
         <B>Untitled</B>
      <CFELSE>
         <B>#Title#</B>
      </CFIF>
      </A></TD>
      <TD><FONT COLOR="##ff0000"><B><CFIF MySearchQuery.Score IS NOT "">
          #Evaluate(MySearchQuery.Score * 100)#%</CFIF></B></FONT>
      </TD>
   </TR>

   <CFIF IsDefined('Form.Summary')>
   <TR>
      <TD><P ALIGN="justify">#Summary#</TD>
      <TD>&nbsp;</TD>
   </TR>
   </CFIF>
   </CFOUTPUT>

   <TR>
      <TD COLSPAN="2"><HR></TD>
   </TR>
   </TABLE>	
</CFIF>
