<CFAPPLICATION NAME="MyApp"
               CLIENTMANAGEMENT="Yes"
               SESSIONMANAGEMENT="Yes"
               SETCLIENTCOOKIES="Yes"
               SESSIONTIMEOUT="#CreateTimeSpan(0,0,10,0)#"
               APPLICATIONTIMEOUT="#CreateTimeSpan(0,0,10,0)#">

<!--- create a variable to hold a query object --->
<CFSET QueryVariable = QueryNew("Text")>
<CFSET NewRows  = QueryAddRow(QueryVariable, 1)>
<CFSET temp = QuerySetCell(QueryVariable, "Text", "I am a Query variable", 1)>

<!--- assign values to all other variable types with the exception of CGI as
      CGI variables are read only --->              
<CFSET Application.ApplicationVariable = "I am an Application variable">
<CFSET Session.SesssionVariable = "I am a Session variable">
<CFSET Client.ClientVariable = "I am a Client variable">
<CFSET Server.ServerVariable = "I am a Server variable">
<CFSET Variables.LocalVariable = "I am a Local variable">
<CFSET Form.FormVariable = "I am a Form variable">
<CFSET URL.URLVariable = "I am a URL variable">
<CFCOOKIE NAME="CookieVariable" VALUE="I am a Cookie variable">
<CFSET Request.RequestVariable = "I am a Request variable">
 
<HTML>
<HEAD>
    <TITLE>Untitled</TITLE>
</HEAD>

<BODY>

<!--- display all of the variable/values from the calling (this) template --->
<H2>Set in the calling template...</H2>
<CFOUTPUT>
<TABLE BORDER="1">
<TR>
  <TH>Variable</TH><TH>Value</TH>
</TR>
<TR>
  <TD>Application.ApplicationVariable</TD><TD>#Application.ApplicationVariable#</TD>
</TR>
<TR>
  <TD>QueryVariable.Text</TD><TD>#QueryVariable.Text#</TD>
</TR>
<TR>
  <TD>Session.SesssionVariable</TD><TD>#Session.SesssionVariable#</TD>
</TR>
<TR>
  <TD>Client.ClientVariable</TD><TD>#Client.ClientVariable#</TD>
</TR>
<TR>
  <TD>Server.ServerVariable</TD><TD>#Server.ServerVariable#</TD>
</TR>
<TR>
  <TD>Variables.LocalVariable</TD><TD>#Variables.LocalVariable#</TD>
</TR>
<TR>
  <TD>Form.FormVariable</TD><TD>#Form.FormVariable#</TD>
</TR>
<TR>
  <TD>Cookie.CookieVariable</TD><TD>#Cookie.CookieVariable#</TD>
</TR>
<TR>
  <TD>CGI.HTTP_USER_AGENT</TD><TD>#CGI.HTTP_USER_AGENT#</TD>
</TR>
<TR>
  <TD>Request.RequestVariable</TD><TD>#Request.RequestVariable#</TD>
</TR>
</TABLE>
</CFOUTPUT>

<!--- call the VariableDemo custom tag and pass two attributes in.  The custom
      tag will generate some output on its own in this example. --->
<CF_VariableDemo AttributeVariable="I am an Attribue variable"
                 OutVar="CallerVariable">

<!--- display all variables set inside of the custom tag as well as the caller
      variable returned by the tag --->               
<H2>Set inside the custom tag..</H2>
<CFOUTPUT>
<TABLE BORDER="1">
<TR>
  <TH>Variable</TH><TH>Value</TH>
</TR>
<TR>
  <TD>Application Variable:</TD>
  <TD><CFIF IsDefined('Application.Tag_ApplicationVariable')>
         #Application.Tag_ApplicationVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Query Variable:</TD>
  <TD><CFIF IsDefined('Tag_QueryVariable.Text')>#Tag_QueryVariable.Text#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Session Variable:</TD>
  <TD><CFIF IsDefined('Session.Tag_SesssionVariable')>
        #Session.Tag_SesssionVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Client Variable:</TD>
  <TD><CFIF IsDefined('Client.Tag_ClientVariable')>#Client.Tag_ClientVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Server Variable:</TD>
  <TD><CFIF IsDefined('Server.Tag_ServerVariable')>#Server.Tag_ServerVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Local Variable:</TD>
  <TD><CFIF IsDefined('Variables.Tag_LocalVariable')>
        #Variables.Tag_LocalVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Form Variable:</TD>
  <TD><CFIF IsDefined('Form.Tag_FormVariable')>#Form.Tag_FormVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>Cookie Variable:</TD>
  <TD><CFIF IsDefined('Cookie.Tag_CookieVariable')>#Cookie.Tag_CookieVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>CGI Variable:</TD>
  <TD><CFIF IsDefined('CGI.HTTP_USER_AGENT')>#CGI.HTTP_USER_AGENT#
      <CFELSE><B>Not Available</B></CFIF>
</TD>    
</TR>
<TR>
  <TD>Request Variable:</TD>
  <TD><CFIF IsDefined('Request.Tag_RequestVariable')>
        #Request.Tag_RequestVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>    
</TR>
<TR>
  <TD>CallerVariable</TD>
  <TD><CFIF IsDefined('CallerVariable')>#CallerVariable#
      <CFELSE><B>Not Available</B></CFIF>
  </TD>
</TR>
</TABLE>
</CFOUTPUT>
</BODY>
</HTML>
