<!--- create a structure called stock to hold a stock quote --->
<CFSET STOCK = STRUCTNEW()>
<CFSET STOCK.COMPANY = "Allaire">
<CFSET STOCK.TICKER = "ALLR">
<CFSET STOCK.EXCHANGE = "NASDAQ">
<CFSET STOCK.PRICE = "66.25">
<CFSET STOCK.CHANGE = "+0.375">
<CFSET STOCK.LASTTRADETIME = "10:17AM">
<CFSET STOCK.LASTTRADEDATE = "02/02/2001">
<CFSET STOCK.VOLUME = "8300">

<!--- Serialize the CFML structure to WDDX then automatically deserialize it to 
      a JavaScript object.  This is all done in the background, so the WDDX 
      packet is never available for viewing or use. --->
<CFWDDX ACTION="CFML2JS" INPUT="#Stock#" OUTPUT="MyJavaScript"
        TOPLEVELVARIABLE="MyStock">

<H3>Create a JavaScript struct object from a CFML structure (view the source)</H3>

<!--- use JavaScript to output the contents of the WDDX packet containing the
      serialized stock structure.  Note that the JavaScript code that creates
      the stock struct is created dynamically --->    
<SCRIPT LANGUAGE="JavaScript">
/** This line generates the dynamic JavaScript
  * necessary to create our "struct" object.
  */
<CFOUTPUT>#MyJavaScript#</CFOUTPUT>

// Loop through the stock "struct" and ouput each key/value
 for (i in MyStock) {
   document.write([i] + ': ' + MyStock[i] + '<br>');
     }
</SCRIPT>
