<!--- insert all of the form field data into the EmployeeDirectory 
      table of the ProgrammingCF data source. --->

<CFLOCK NAME="InsertNewRecord" TYPE="EXCLUSIVE" TIMEOUT="30">
<CFTRANSACTION>
<CFINSERT DATASOURCE="ProgrammingCF" 
          TABLENAME="EmployeeDirectory">

<!--- This query retrieves the primary key value of the record we 
      just inserted. --->
<CFQUERY NAME="GetPK" DATASOURCE="ProgrammingCF">
         SELECT Max(ID) AS MaxID 
         FROM EmployeeDirectory
</CFQUERY>
</CFTRANSACTION>
</CFLOCK>

<!--- This query uses the value returned by the GetPK query to lookup 
      the full record we inserted. --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT ID, Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = #GetPK.MaxID#
</CFQUERY>    

<HTML>
<HEAD>
    <TITLE>CFINSERT Insert</TITLE>
</HEAD>

<BODY>

<H2>Record Inserted using CFINSERT without Field Names!</H2>

<H3>Here are the record details...</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>ID</TH>
    <TH>Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>E-mail</TH>
    <TH>Phone Extension</TH>
    <TH>Salary</TH>
</TR>

<!--- output the record --->
<CFOUTPUT QUERY="GetRecord">
<TR BGCOLOR="##C0C0C0">
    <TD>#ID#</TD>
    <TD>#Name#</TD>
    <TD>#Title#</TD>
    <TD>#Department#</TD>
    <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
    <TD>#PhoneExt#</TD>
    <TD>#DollarFormat(Salary)#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

</BODY>
</HTML>
