<!--- check to see if we're dealing with a delete operation --->
<CFIF (IsDefined('Form.Delete') AND Trim(Form.Delete) EQ "Delete Record") 
   OR (IsDefined('URL.Action') AND URL.Action EQ "Delete")>
  <CFQUERY NAME="DeleteRecord" DATASOURCE="ProgrammingCF">
           DELETE FROM EmployeeDirectory
           WHERE ID = #ID#
  </CFQUERY>
  <H2>Record Deleted Successfully</H2>
  <!--- abort processing so that the template does not show the update 
        form --->
  <CFABORT>
</CFIF>

<!--- retrieve the record specified by the ID value passed into the
      template by form or url variable --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT ID, Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = #ID#
</CFQUERY>

<HTML>
<HEAD>
    <TITLE>Record Update Form</TITLE>
</HEAD>

<BODY>

<H2>Edit an Existing User</H2>
<FORM ACTION="Update.cfm" METHOD="post">
<!--- include the primary key value for this record so we know which 
      record to update without SQL UPDATE (or CFUPDATE) statement in 
      the next template --->
<CFOUTPUT>
<INPUT TYPE="hidden" NAME="ID" VALUE="#GetRecord.ID#">
</CFOUTPUT>
      
<!--- data validation --->
<INPUT TYPE="hidden" NAME="Name_Required" 
       VALUE="Name is a required field">
<INPUT TYPE="hidden" NAME="Title_Required" 
       VALUE="Title is a required field">
<INPUT TYPE="hidden" NAME="Department_Required" 
       VALUE="Department is a required field">
<INPUT TYPE="hidden" NAME="Email_Required" 
       VALUE="E-mail is a required field">
<INPUT TYPE="hidden" NAME="PhoneExt_Required" 
       VALUE="Phone Ext. is a required field">
<INPUT TYPE="hidden" NAME="Salary_Required" 
       VALUE="Salary is a required field">
<INPUT TYPE="hidden" NAME="PhoneExt_Integer" 
       VALUE="Phone Ext. is a numeric field">
<INPUT TYPE="hidden" NAME="Salary_Float" 
       VALUE="Salary is a numeric field">
 
<!--- populate the form with the user's record ---> 
<CFOUTPUT>
<TABLE>
<TR>
  <TD>Name:</TD>
  <TD><INPUT TYPE="text" NAME="Name" VALUE="#GetRecord.Name#" 
             SIZE="20" MAXLENGTH="80"></TD>
</TR>
<TR>
  <TD>Title:</TD>
  <TD><INPUT TYPE="text" NAME="Title" VALUE="#GetRecord.Title#" 
             SIZE="20" MAXLENGTH="80"></TD>
</TR>
<TR>
  <TD>Department:</TD>
  <TD><INPUT TYPE="text" NAME="Department" VALUE="#GetRecord.Department#" 
             SIZE="20" MAXLENGTH="80"></TD>
</TR>
<TR>
  <TD>E-mail:</TD>
  <TD><INPUT TYPE="text" NAME="Email" 
             VALUE="#GetRecord.Email#" SIZE="20" MAXLENGTH="80"></TD>
</TR>
<TR>
  <TD>Phone Ext::</TD>
  <TD><INPUT TYPE="text" NAME="PhoneExt" VALUE="#GetRecord.PhoneExt#" 
             SIZE="5" MAXLENGTH="4"></TD>
</TR>
<TR>
  <TD>Salary:</TD>
  <TD><INPUT TYPE="text" NAME="Salary" VALUE="#GetRecord.Salary#" 
             SIZE="20" MAXLENGTH="12"></TD>
</TR>
</TABLE>
</CFOUTPUT>

<INPUT TYPE="submit" VALUE="Submit">
</FORM>

</BODY>
</HTML>
