<CFTRY>

<!--- Try to query the first database.  Note that the query points to a bogus
      table, so it will fail. --->
<CFTRY>
<CFQUERY NAME="GetData" DATASOURCE="ProgrammingCF">
   SELECT * FROM BogusTable
</CFQUERY>

<!--- Catch any database errors resulting from the attempt to query the first
      database. --->
<CFCATCH TYPE="database">
  <H3>First data source failed.  Attempting to use alternate...</H3>

  <!--- Write out a table containing all CFCATCH variables --->
  <CFSET MYKEYARRAY = STRUCTKEYARRAY(CFCATCH)>
  <TABLE BORDER="0">
  <TR BGCOLOR="#0000FF">
    <TH>Name</TH><TH>Value</TH>
  </TR>
  <CFLOOP INDEX="position" FROM="1" TO="#ArrayLen(MyKeyArray)#">
    <CFOUTPUT>
    <TR BGCOLOR="##C0C0C0">
      <TD>#MyKeyArray[position]#</TD>
      <TD><CFIF ISSIMPLEVALUE(CFCATCH[MYKEYARRAY[POSITION]])>
            #CFCATCH[MyKeyArray[position]]#&nbsp;</TD>
          <CFELSE>
            <TABLE BORDER="0">
            <TR>
              <TH COLSPAN="3">Tag Stack</TH>
            </TR>
            <TR BGCOLOR="##0000FF">
              <TH><FONT COLOR="##FFFFFF">Tag</FONT></TH>
              <TH><FONT COLOR="##FFFFFF">Position</FONT></TH>
              <TH><FONT COLOR="##FFFFFF">Template</FONT></TH>
            </TR>
            <CFLOOP INDEX="element" FROM="1"
                    TO="#ArrayLen(CFCATCH.TagContext)#">
              <CFSET THESTACK = #CFCATCH.TAGCONTEXT[ELEMENT]#>
              <TR BGCOLOR="##D3D3D3">
                <TD>#TheStack["ID"]#</TD>
                <TD>(#TheStack["Line"]#:#TheStack["Column"]#)</TD> 
                <TD>#TheStack["Template"]#</TD>
              </TR>
            </CFLOOP>
            </TABLE></TD>
          </CFIF>
    </TR>
    </CFOUTPUT>
  </CFLOOP>
  </TABLE>

  <CFTRY>
  <!--- Try querying the second database.  Note that this also points to a 
        bogus data source, so it will fail.  We do this to illustrate the use
        of the CFRETHROW tag. --->
  <CFQUERY NAME="GetData" DATASOURCE="ProgrammidngCF">
     SELECT * FROM EmployeeDirectory
  </CFQUERY>

  <!--- If there is a problem with the second database, rethrow the exception
        so that it can be handled by the genaral cfcatch handler --->
  <CFCATCH TYPE="database">
    <H3>Alternate data source failed.  Rethrowing exception...</H3>

    <CFSET MYKEYARRAY = STRUCTKEYARRAY(CFCATCH)>
    <TABLE BORDER="0">
    <TR BGCOLOR="#0000FF">
      <TH>Name</TH><TH>Value</TH>
    </TR>
    <CFLOOP INDEX="position" FROM="1" TO="#ArrayLen(MyKeyArray)#">
      <CFOUTPUT>
      <TR BGCOLOR="##C0C0C0">
        <TD>#MyKeyArray[position]#</TD>
        <TD><CFIF ISSIMPLEVALUE(CFCATCH[MYKEYARRAY[POSITION]])>
              #CFCATCH[MyKeyArray[position]]#&nbsp;</TD>
            <CFELSE>
              <TABLE BORDER="0">
              <TR>
                <TH COLSPAN="3">Tag Stack</TH>
              </TR>
              <TR BGCOLOR="##0000FF">
                <TH><FONT COLOR="##FFFFFF">Tag</FONT></TH>
                <TH><FONT COLOR="##FFFFFF">Position</FONT></TH>
                <TH><FONT COLOR="##FFFFFF">Template</FONT></TH>
              </TR>
              <CFLOOP INDEX="element" FROM="1" 
                      TO="#ArrayLen(CFCATCH.TagContext)#">
                <CFSET THESTACK = #CFCATCH.TAGCONTEXT[ELEMENT]#>
                <TR BGCOLOR="##D3D3D3">
                  <TD>#TheStack["ID"]#</TD>
                  <TD>(#TheStack["Line"]#:#TheStack["Column"]#)</TD> 
                  <TD>#TheStack["Template"]#</TD>
                </TR>
              </CFLOOP>
              </TABLE></TD>
            </CFIF>
      </TR>
      </CFOUTPUT>
    </CFLOOP>
    </TABLE>

    <!--- This is where the exception is rethrown --->
    <CFRETHROW>
  </CFCATCH>
  </CFTRY>
</CFCATCH>
</CFTRY>

<!--- Catch any exception not already planned for.  Output all of the 
      information returned by the CFCATCH variables. --->
<CFCATCH TYPE="Any">
  <H3>Unexpected exception caught.  Detailed information follows:</H3>

  <CFSET MYKEYARRAY = STRUCTKEYARRAY(CFCATCH)>
  <TABLE BORDER="0">
  <TR BGCOLOR="#0000FF">
    <TH>Name</TH>
    <TH>Value</TH>
  </TR>
  <CFLOOP INDEX="position" FROM="1" TO="#ArrayLen(MyKeyArray)#">
    <CFOUTPUT>
    <TR BGCOLOR="##C0C0C0">
      <TD>#MyKeyArray[position]#</TD>
      <TD><CFIF ISSIMPLEVALUE(CFCATCH[MYKEYARRAY[POSITION]])>
            #CFCATCH[MyKeyArray[position]]#&nbsp;</TD>
          <CFELSE>
            <TABLE BORDER="0">
            <TR>
              <TH COLSPAN="3">Tag Stack</TH>
            </TR>
            <TR BGCOLOR="##0000FF">
              <TH><FONT COLOR="##FFFFFF">Tag</FONT></TH>
              <TH><FONT COLOR="##FFFFFF">Position</FONT></TH>
              <TH><FONT COLOR="##FFFFFF">Template</FONT></TH>
            </TR>
            <CFLOOP INDEX="element" FROM="1" 
                    TO="#ArrayLen(CFCATCH.TagContext)#">
              <CFSET THESTACK = #CFCATCH.TAGCONTEXT[ELEMENT]#>
              <TR BGCOLOR="##D3D3D3">
                <TD>#TheStack["ID"]#</TD>
                <TD>(#TheStack["Line"]#:#TheStack["Column"]#)</TD> 
                <TD>#TheStack["Template"]#</TD>
              </TR>
            </CFLOOP>
            </TABLE></TD>
          </CFIF>
    </TR>
    </CFOUTPUT>
  </CFLOOP>
  </TABLE>
</CFCATCH>
</CFTRY>
